#include <stdio.h>

unsigned fib[42];

int fib2num(char *s) {
  int len = strlen(s);
  int a=0, i;
  for (i=0; i<len; i++) {
    if (s[i] == '1') a+=fib[len-1-i];
  }
  return a;
}

void num2fib(int l, unsigned a) {
  int i;
  int zero=0;
  for (i=41; i>=0; i--) {
    if (a>=fib[i]) {
      a-=fib[i];
      printf("1");
      zero++;
    }
    else {
      if (zero || i==0) printf("0");
      else if (i<l) printf(" ");
    }
  }
}


int llen(unsigned a) {
  int i;
  for (i=41; i>=0; i--) 
    if (a>=fib[i]) return i+1;
  return 1;
}


void printfib(unsigned a, unsigned b) {
  int i, l = llen(a+b);
  printf("  "); num2fib(l,a);
  printf("\n+ "); num2fib(l,b);
  printf("\n  "); for (i=0; i<l; i++) printf("-");
  printf("\n  "); num2fib(l,a+b);
  printf("\n\n");
}

int main(void)
{
  char s[60];
  unsigned a, b, c, i;
  
  for (a=1, b=2, i=0; i<42; i++)  {
    fib[i] = a;
    c = a+b;
    a = b;
    b = c;
  }
  while (scanf(" "), !feof(stdin)) {
    scanf(" %s", s);
    a = fib2num(s);
    scanf(" %s", s);
    b = fib2num(s);
    printfib(a,b);
  }
  return 0;
}
